| Home | Libraries | People | FAQ | More

#### value_of_data

###### Description

Returns the type of the data property associated with the element referenced by an associative iterator references.

###### Synopsis

    template<
        typename I
        >
    struct value_of_data
    {
        typedef unspecified type;
    };

Table 1.21. Parameters

Parameter | Requirement | Description
--- | --- | ---
`I` | Model of Associative Iterator | Operation's argument

###### Expression Semantics

    result_of::value_of_data<I>::type

Return type: Any type

Semantics: Returns the type of the data property associated with the element referenced by an associative iterator `I`.

###### Header

    #include <boost/fusion/iterator/value_of_data.hpp>
    #include <boost/fusion/include/value_of_data.hpp>

###### Example

    typedef map<pair<float,int> > vec;
    typedef result_of::begin<vec>::type first;

    BOOST_MPL_ASSERT((boost::is_same<result_of::value_of_data<first>::type, int>));